#include(surround.inc)
[top]
components : mpb

[mpb]
type : cell
delay : inertial
border : nowrapped
dim : (16, 16, 4)
localtransition : mpb-rule
initialValue : 0
initialCellsValue : testRiver.val
defaultDelayTime : 100
zone : sides { (0,0,1)..(0,15,1) (0,0,1)..(15,0,1) (15,0,1)..(15,15,1) (0,15,1)..(15,15,1) }
zone : sides2 { (0,0,0)..(0,15,0) (0,0,0)..(15,0,0) (15,0,0)..(15,15,0) (0,15,0)..(15,15,0) }
%neighbor list
neighbors : mpb(-1,-1,0) mpb(-1,0,0) mpb(-1,1,0)
neighbors : mpb(0,-1,0) mpb(0,0,0) mpb(0,1,0)
neighbors : mpb(1,0,0) mpb(1,-1,0) mpb(1,1,0)
neighbors : mpb(0,0,1)
neighbors : mpb(0,0,2)

neighbors : mpb(0,0,3)
%layer 0 -> Proximity to infection 
%layer 1 -> Percentage of MBP (average of surrounding cells)
[mpb-rule]
rule : {1} 100 {cellpos(2)=1 and (0,0,0) >= 1}
%NPB Travel + NBP Annual mortality
rule : {(((-1,-1,0)+(-1,0,0)+(-1,1,0)+(0,-1,0)+(0,1,0)+(1,0,0)+(1,-1,0)+(1,1,0))/8)+((0,0,0)*0.2)} 100 {cellpos(2)=1 and (0,0,0) < 1}

%TS Calculation
rule : {(0,0,0)} 100 {cellpos(2)=0 and (0,0,0)>=1}
rule : {1} 100 {cellpos(2)=0 and #Macro(surround)=1 and 0.05*power(0.4*(1 - (0,0,2)*(1 - (0,0,3))),-1) < (0,0,1)}
rule : {1} 100 {cellpos(2)=0 and #Macro(surround)>1 and #Macro(surround) <= 4 and 0.05*power(0.6*(1 - (0,0,2)),-1) < (0,0,1)}
rule : {1} 100 {cellpos(2)=0 and #Macro(surround)>4 and 0.05*power(0.8*(1 - (0,0,2)),-1) < (0,0,1)}
rule : {(0,0,0)} 100 {t}

[sides]
rule : {(0,0,0)} 100 {t}

[sides2]
rule : {(0,0,0)} 100 {t}