#include(surroundSV.inc)
[top]
components : mpb

[mpb]
type : cell
delay : inertial
border : nowrapped
dim : (16, 16)
localtransition : mpb-rule
initialValue : 0
initialCellsValue : test.val
defaultDelayTime : 100
zone : sides { (0,0)..(0,15) (0,0)..(15,0) (15,0)..(15,15) (0,15)..(15,15) }
%neighbor list
neighbors : mpb(-1,-1) mpb(-1,0) mpb(-1,1)
neighbors : mpb(0,-1) mpb(0,0) mpb(0,1)
neighbors : mpb(1,0) mpb(1,-1) mpb(1,1)
neighborports : totalSuccep nmpb
statevariables : density 
statevalues : 0
initialvariablesvalue : mpb.stvalues
%layer 0 -> Proximity to infection 
%layer 1 -> Percentage of MBP (average of surrounding cells)
[mpb-rule]
rule : {~nmpb :=1;} 100 {(0,0)~nmpb >= 1}
%NPB Travel + NBP Annual mortality
rule : {~nmpb :=#Macro(mpbAvg);~totalSuccep := 1;} 100 {#Macro(surround) = 1 and 0.05*power(0.4*(1 - $density), -1) < (0,0)~nmpb}
rule : {~nmpb :=#Macro(mpbAvg);~totalSuccep := 1;} 100 {#Macro(surround) > 1 and #Macro(surround) <= 4 and 0.05*power(0.6*(1 - $density), -1) < (0,0)~nmpb}
rule : {~nmpb :=#Macro(mpbAvg);~totalSuccep := 1;} 100 {#Macro(surround) > 4 and 0.05*power(0.8*(1 - $density), -1) < (0,0)~nmpb}

%TS Calculation
rule : {~totalSuccep :=(0,0)~totalSuccep;~nmpb :=(0,0)~nmpb;} 100 {t}

[sides]
rule : {~nmpb := 0; ~totalSuccep := 0;} 100 {t}
